Avro C#

Public Member Functions | List of all members
Avro.Generic.PreresolvingDatumReader< T >.MapAccess Interface Reference

Defines the interface for a class that provides access to a map implementation. More...

## Public Member Functions
object | Create (object reuse)
| Creates a new map object. More...
void | AddElements (object map, int elements, ReadItem itemReader, Decoder decoder, bool reuse)
| Adds elements to the given map by reading values from the decoder. More...

## Detailed Description

Defines the interface for a class that provides access to a map implementation.

## Member Function Documentation

## ◆ AddElements()

void Avro.Generic.PreresolvingDatumReader< T >.MapAccess.AddElements | ( | object | map,
|  | int | elements,
|  | ReadItem | itemReader,
|  | Decoder | decoder,
|  | bool | reuse
| ) |  |

Adds elements to the given map by reading values from the decoder.

Parameters

  map | Map to add elements to.
  elements | Number of elements to add.
  itemReader | Delegate to read an item from the decoder.
  decoder | Decoder to read from.
  reuse | True to reuse each element in the map when deserializing. False to create a new object for each element.

## ◆ Create()

object Avro.Generic.PreresolvingDatumReader< T >.MapAccess.Create | ( | object | reuse | ) |

Creates a new map object.

Parameters

  reuse | If appropriate, use this map object instead of creating a new one.

Returns
  An empty map object.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/PreresolvingDatumReader.cs